##### basic_writable_pipe::basic_writable_pipe (5 of 6 overloads)

Move-construct a `basic_writable_pipe` from another.

    basic_writable_pipe(
        basic_writable_pipe && other);

This constructor moves a pipe from one object to another.

###### Parameters

other

  The other `basic_writable_pipe` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_writable_pipe(const executor_type&)` constructor.